## autofdo 0.13

=== debian/changelog ===
autofdo (0.13-2build1) wily; urgency=medium

  * No-change rebuild against libgflags2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 18:52:24 +0000

autofdo (0.13-2) unstable; urgency=medium

  * debian/copyright: Add copyright for gflags and glog.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jul 2015 19:19:09 +0200

autofdo (0.13-1) unstable; urgency=low

  * Initial release (Closes: #783092).

 -- Matthias Klose <doko@debian.org>  Sun, 31 May 2015 15:51:41 +0200
