=== debian/control ===
Source: autofdo
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
  libssl-dev, zlib1g-dev,
  libgoogle-glog-dev, libgflags-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/google/autofdo

Package: autofdo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AutoFDO Profile Toolchain
 The package contains a tool to convert perf.data profile to AutoFDO
 profile that can be used by GCC and LLVM.
