## autofdo 0.14

=== debian/changelog ===
autofdo (0.14-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jan 2016 19:03:23 +0100
