=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	rm -rf gflags
	rm -rf glog
	dh_auto_configure
