=== debian/watch ===
version=3
https://github.com/google/autofdo/releases .*/archive/v(.*).tar.gz
