## autofdo 0.15

=== debian/changelog ===
autofdo (0.15-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2016 23:09:02 +0100
