=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
   libssl-dev, zlib1g-dev,
   libgoogle-glog-dev, libgflags-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/autofdo
 
 Package: autofdo
