## autofdo 0.16

=== debian/changelog ===
autofdo (0.16-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Aug 2017 12:03:39 -0400

autofdo (0.15-2) unstable; urgency=medium

  * Non-maintainer upload.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Dec 2016 13:32:38 +0100
