## autofdo 0.18

=== debian/changelog ===
autofdo (0.18-1) unstable; urgency=medium

  * New upstream version.
  * Configure for LLVM profile support.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Mar 2018 13:00:11 +0800
