=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
   libssl-dev, zlib1g-dev,
   libgoogle-glog-dev, libgflags-dev,
-Standards-Version: 3.9.8
+  llvm-6.0-dev,
+Standards-Version: 4.1.3
 Homepage: https://github.com/google/autofdo
 
 Package: autofdo
