=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 override_dh_auto_configure:
 	rm -rf gflags
 	rm -rf glog
-	dh_auto_configure
+	dh_auto_configure -- --with-llvm=/usr/bin/llvm-config-6.0
