=== debian/changelog ===
autofdo (0.19-4) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team on Salsa
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Refer to common license file for Apache-2.0.
  * Move source package lintian overrides to debian/source.
  * Add debian/upstream/metadata
  * Fix clean target
    Closes: #1044038

 -- Andreas Tille <tille@debian.org>  Wed, 03 Dec 2025 20:13:44 +0100

autofdo (0.19-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. See #1041473.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Aug 2023 11:11:12 +0200

autofdo (0.19-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without LLVM support (Closes: #1017677)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Jul 2023 14:04:07 +0200

autofdo (0.19-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with LLVM 13. (Closes: #1016238)

 -- Adrian Bunk <bunk@debian.org>  Tue, 13 Sep 2022 23:41:57 +0300

autofdo (0.19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the default LLVM. (Closes: #974802)
  * Backport upstream fix for FTBFS with LLVM 11.
  * Use the system libprotobuf. (Closes: #960822)
  * Remove vendored copies in dh_auto_clean,
    fixes building twice in a row.

 -- Adrian Bunk <bunk@debian.org>  Thu, 07 Oct 2021 15:13:26 +0300

autofdo (0.19-2) unstable; urgency=medium

  * Link with -latomic where needed.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Oct 2019 11:28:07 +0100

autofdo (0.19-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 21:01:09 +0200

autofdo (0.18-2) unstable; urgency=medium

  * Bump standards version.
  * Build using LLVM 7. Closes: #912800.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Nov 2018 08:20:51 +0100
