=== debian/control ===
Source: autofdo
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
  libssl-dev, zlib1g-dev,
  libgoogle-glog-dev, libgflags-dev,
  libelf-dev,
  protobuf-compiler,
  libprotobuf-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/autofdo
Vcs-Git: https://salsa.debian.org/debian/autofdo.git
Homepage: https://github.com/google/autofdo

Package: autofdo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AutoFDO Profile Toolchain
 The package contains a tool to convert perf.data profile to AutoFDO
 profile that can be used by GCC and LLVM.
