=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_clean:
	rm -rf gflags
	rm -rf glog
	rm -rf third_party/protobuf
	dh_auto_clean
